## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.pages.general
Class ProceduralObjectGeneralPage

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.EditorPart
                  org.eclipse.datatools.sqltools.common.ui.helpsystem.HelpSystemEditorPart
                      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage
                          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.pages.general.ProceduralObjectGeneralPage

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, IDisablementPart, ISchemaObjectEditorPage, org.eclipse.help.IContextProvider, org.eclipse.ui.forms.editor.IFormPage, org.eclipse.ui.IEditorPart, org.eclipse.ui.ISaveablePart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

Direct Known Subclasses:
  RoutineGeneralPage, TriggerGeneralPage

    public abstract class ProceduralObjectGeneralPage

extends SchemaObjectEditorPage
implements ISchemaObjectEditorPage

Author:
  Hui Cao

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage
`SchemaObjectEditorPage.PageForm`

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.ISchemaObjectEditorPage
`UNKNOWN_ITEM_TYPE`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Constructor Summary
`ProceduralObjectGeneralPage()`

Method Summary
`boolean` `aboutToSave(org.eclipse.core.runtime.IProgressMonitor monitor)` Notifies this page that the editor is about to save, subclass should update the model if necessary
`boolean` `canLeaveThePage()` By default, editor will be allowed to flip the page.
`void` `enable(boolean enabled)`
`void` `init(org.eclipse.ui.IEditorSite site, org.eclipse.ui.IEditorInput input)` Initializes the form page.
`void` `refresh()` Refreshes to display the procedural object header
`void` `setActive(boolean active)` Implements the required method by refreshing the form when set active.
`void` `setFocus(int itemType, java.lang.Object item)` The default implementation sets the current page active

Methods inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage

`createPartControl, dispose, doSave, doSaveAs, getDatabaseIdentifier, getEditor, getEditorDescriptor, getErrorMsg, getId, getIndex, getManagedForm, getPageDescriptor, getPartControl, getPreferencePageIds, getTitleImage, initialize, isActive, isDirty, isEditor, isPageOpened, isSaveAsAllowed, markDirty, menuAboutToShow, modelRegenerated, populateSQLObjects, revert, selectReveal, setEditor, setEditorDescriptor, setFocus, setId, setIndex, setPageDescriptor, setPartName, validate, validateAndShowErrors, validateOnline`

Methods inherited from class org.eclipse.datatools.sqltools.common.ui.helpsystem.HelpSystemEditorPart
`getContext, getContextChangeMask, getSearchExpression`

Methods inherited from class org.eclipse.ui.part.EditorPart
`getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.ISchemaObjectEditorPage
`getDatabaseIdentifier, getEditorDescriptor, getErrorMsg, getPageDescriptor, getPreferencePageIds, isPageOpened, markDirty, menuAboutToShow, modelRegenerated, populateSQLObjects, revert, setEditor, setEditorDescriptor, setId, setPageDescriptor, setPartName, validate, validateAndShowErrors, validateOnline`

Methods inherited from interface org.eclipse.ui.forms.editor.IFormPage
`getEditor, getId, getIndex, getManagedForm, getPartControl, initialize, isActive, isEditor, selectReveal, setIndex`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.ui.ISaveablePart
`doSave, doSaveAs, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded`

Constructor Detail

### ProceduralObjectGeneralPage

    public ProceduralObjectGeneralPage()

Method Detail

### init

    public void init(org.eclipse.ui.IEditorSite site,
                     org.eclipse.ui.IEditorInput input)
              throws org.eclipse.ui.PartInitException

  Description copied from class: `SchemaObjectEditorPage`
  Initializes the form page.

  Specified by:
    `init` in interface `org.eclipse.ui.IEditorPart`
  Overrides:
    `init` in class `SchemaObjectEditorPage`
  Throws:
    `org.eclipse.ui.PartInitException`
  See Also:
    `IEditorPart.init(org.eclipse.ui.IEditorSite, org.eclipse.ui.IEditorInput)`

### refresh

    public void refresh()

  Refreshes to display the procedural object header

  Specified by:
    `refresh` in interface `ISchemaObjectEditorPage`
  Overrides:
    `refresh` in class `SchemaObjectEditorPage`

### setActive

    public void setActive(boolean active)

  Description copied from class: `SchemaObjectEditorPage`
  Implements the required method by refreshing the form when set active. Subclasses must call super when overriding this method.

  Specified by:
    `setActive` in interface `org.eclipse.ui.forms.editor.IFormPage`
  Overrides:
    `setActive` in class `SchemaObjectEditorPage`

### canLeaveThePage

    public boolean canLeaveThePage()

  Description copied from class: `SchemaObjectEditorPage`
  By default, editor will be allowed to flip the page.

  Specified by:
    `canLeaveThePage` in interface `org.eclipse.ui.forms.editor.IFormPage`
  Overrides:
    `canLeaveThePage` in class `SchemaObjectEditorPage`
  Returns:
    `true`

### aboutToSave

    public boolean aboutToSave(org.eclipse.core.runtime.IProgressMonitor monitor)

  Description copied from interface: `ISchemaObjectEditorPage`
  Notifies this page that the editor is about to save, subclass should update the model if necessary

  Specified by:
    `aboutToSave` in interface `ISchemaObjectEditorPage`
  Overrides:
    `aboutToSave` in class `SchemaObjectEditorPage`

### enable

    public void enable(boolean enabled)

  Specified by:
    `enable` in interface `IDisablementPart`
  Overrides:
    `enable` in class `SchemaObjectEditorPage`

### setFocus

    public void setFocus(int itemType,
                         java.lang.Object item)

  Description copied from class: `SchemaObjectEditorPage`
  The default implementation sets the current page active

  Specified by:
    `setFocus` in interface `ISchemaObjectEditorPage`
  Overrides:
    `setFocus` in class `SchemaObjectEditorPage`
  Parameters:
    `itemType` - the type of the item, each page can define its own types
    `item` - the object of the type, it can be `null` if the item type provides enough information